# -*- coding: utf8 -*-
from __future__ import unicode_literals

from driverng.astm import AstmMessage
from driverng.drivers.sysmex.suit import AstmSysmex


class AstmSuitUf500(AstmSysmex):
    SPEC = {
        "code": "suit_uf500",
        "label": "Sysmex SUIT UF500",
    }
    HANDLE_DELETED = False

    OPTIONS = AstmSysmex.OPTIONS + [
        AstmMessage.BooleanOption(
            "uf500_tube_inconnu",
            label="Pour l'UF500, envoi des tests par défaut sur tube inconnu",
            default=False,
        ),
    ]

    def __init__(self, uf500_tube_inconnu=False, **kwargs):
        kwargs['uf500_tube_inconnu'] = uf500_tube_inconnu
        super(AstmSuitUf500, self).__init__(**kwargs)
