# -*- coding: utf8 -*-
from __future__ import unicode_literals

from driverng import Message


class VTMessage(object):

    def __init__(self, sample_id=None, vs1=None, vs2=None):
        self.sample_id = sample_id
        self.vs1 = vs1
        self.vs2 = vs2
        super(VTMessage, self).__init__()

    @staticmethod
    def parse(data):
        sample_id, vs1, vs2 = data.splitlines()
        return VTMessage(sample_id, vs1, vs2)

    def to_string(self):
        return "\r\n".join([
            self.sample_id,
            self.vs1,
            self.vs2
        ]) + "\r\n"


class Driver(Message):
    SPEC = {
        "code": "vt",
        "label": "VT (50/72/100)",
    }

    def parse(self, data):
        return VTMessage.parse(data)

    def to_string(self, message):
        return message.to_string()

    def get_message_type(self, message):
        return Message.ORDER

    def get_result_dict(self, message):
        return {message.sample_id: {"resultats": [
            {"test": "VS1", "resu": message.vs1.strip(), "date": None},
            {"test": "VS2", "resu": message.vs2.strip(), "date": None},
        ]}}
