# -*- coding: utf8 -*-
from __future__ import unicode_literals

from driverng.transport.rs232 import SerialTransport
from driverng.transport.tcp import TCPTransport
from driverng.transport.fichier import FileTransport
from driverng.transport.ftp import FTPTransport
from driverng.transport.samba import SambaTransport


def get(**kwargs):
    kwargs = kwargs.copy()
    transport_type = kwargs.pop("type")
    return {
        "serial": SerialTransport,
        "file": FileTransport,
        "tcp": TCPTransport,
        "ftp": FTPTransport,
        "samba": SambaTransport,
    }[transport_type](**kwargs)
